/**
 * 
 */
package org.richfaces.component;

import javax.faces.component.UIInput;

/**
 * UI implementation of ComboBox component
 * @author Anton Belevich
 * @since 3.2.0
 */


public abstract class UIComboBox extends UIInput {
	
	public abstract Object getSuggestionValues();
	public abstract void  setSuggestionValues(Object value);	
	public abstract String getDefaultLabel();
	public abstract void setDefaultLabel(String label);
	public abstract boolean isEnableManualInput();
	public abstract void setEnableManualInput(boolean enableManualInput);

}